Summary: Universal tool platform
Name: eclipse3

%global momorel            1
%global eclipse_version    3.2
%global nl_version         3.2
%global relnum             200606291905
%global nl_relnum          200607121700
%global md5sum_src0        67b41802092d4b2f779fb756dcaec85c
%global md5sum_src1        cbb4beb6e2674b48b09422f3ff0886f4
%global md5sum_src2        6718b2da30e6ac8bffca709ea4dea274
%global md5sum_src3        7bbeb8a6bf29c6816d696cb048a68527
%global md5sum_src4        58b7606e6f77a8a8895cc0fa6e84ff4d
%ifarch %{ix86}
%define targetarch x86
%else
%ifarch x86_64
%define targetarch x86_64
%endif
%endif

Version: %{eclipse_version}
Release: %{momorel}m
License: "Eclipse Public License"
Group: Development/Tools
URL: http://eclipse.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: coreutils tar unzip
BuildPreReq: ant >= 1.6.1, java-sun-j2se1.5-sdk
ExclusiveArch: %{ix86} x86_64

%NoSource 0 ftp://ftp.u-aizu.ac.jp/pub/eclipse/eclipse/downloads/drops/R-%{eclipse_version}-%{relnum}/eclipse-sourceBuild-srcIncluded-%{eclipse_version}.zip %{md5sum_src0}
%NoSource 1 ftp://ftp.u-aizu.ac.jp/pub/eclipse/eclipse/downloads/drops/L-%{nl_version}_Language_Packs-%{nl_relnum}/NLpack1-eclipse-SDK-%{nl_version}-gtk.zip %{md5sum_src1}
%NoSource 2 ftp://ftp.u-aizu.ac.jp/pub/eclipse/eclipse/downloads/drops/L-%{nl_version}_Language_Packs-%{nl_relnum}/NLpack2-eclipse-SDK-%{nl_version}-gtk.zip %{md5sum_src2}
%NoSource 3 ftp://ftp.u-aizu.ac.jp/pub/eclipse/eclipse/downloads/drops/L-%{nl_version}_Language_Packs-%{nl_relnum}/NLpack2a-eclipse-SDK-%{nl_version}-gtk.zip %{md5sum_src3}
%NoSource 4 ftp://ftp.u-aizu.ac.jp/pub/eclipse/eclipse/downloads/drops/L-%{nl_version}_Language_Packs-%{nl_relnum}/NLpackBidi-eclipse-SDK-%{nl_version}-gtk.zip %{md5sum_src4}

Source1000: eclipse3.sh.in
%define wrapper %{S:1000}
Source1001: eclipserc
%define eclipserc %{S:1001}
Source1002: eclipse3.desktop
%define desktop %{S:1002}

Patch0: eclipse3-set-javac-properties.patch

Requires: java-common, java-virtual-machine

%description
Eclipse is an open extensible IDE for anything and nothing in particular.

%global eclipse_dir %{_libdir}/%{name}

%prep
rm -rf eclipse3
mkdir eclipse3
cd eclipse3
unzip -qo %{SOURCE0}

%__patch -p0 < %{PATCH0}

cp "%{wrapper}" .
sed -e 's,@@ECLIPSE_DIR@@,%{eclipse_dir},g' `basename "%{wrapper}"` > eclipse3

%build
export JAVA_HOME=%{_libdir}/java/sun-j2se1.5-sdk
export ANT_HOME=%{_datadir}/java/ant

cd eclipse3
./build -os linux -ws gtk -arch %{targetarch} -java5home ${JAVA_HOME} -target compile
./build -os linux -ws gtk -arch %{targetarch} -java5home ${JAVA_HOME} -target install

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

cd eclipse3/result
tar xfz linux-gtk-%{targetarch}-sdk.tar.gz
%__unzip -q %{SOURCE1}
%__unzip -q %{SOURCE2}
%__unzip -q %{SOURCE3}
%__unzip -q %{SOURCE4}

%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{eclipse_dir}
%__mkdir_p %{buildroot}%{_sysconfdir}/X11/applnk/Development

cd eclipse
%__tar cf - .eclipseproduct configuration eclipse features icon.xpm plugins startup.jar \
  | %__tar xf - -C %{buildroot}%{eclipse_dir}


%__install -m 0755 ../../eclipse3 %{buildroot}%{_bindir}/eclipse3

%__install -m 0644 %{eclipserc} %{buildroot}%{eclipse_dir}/eclipserc
%__install -m 0644 %{desktop} %{buildroot}%{_sysconfdir}/X11/applnk/Development/eclipse3.desktop
%__install -d -m 0755 %{buildroot}%{eclipse_dir}/links

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
%doc eclipse3/result/eclipse/epl-v10.html eclipse3/result/eclipse/readme/readme_eclipse.html
%{_bindir}/eclipse3
%{eclipse_dir}
%{_sysconfdir}/X11/applnk/Development/eclipse3.desktop

%changelog
* Fri Aug 18 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2-1m)
- update to 3.2
  add Patch0: eclipse3-set-javac-properties.patch

* Thu Jun 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.2-2m)
- enable x86_64

* Wed Jun 28 2006 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (3.1.2-1m)
- version 3.1.2
- to main

* Fri Dec  2 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (3.1.1-1m)
- version 3.1.1
- add language packs.

* Sun Aug 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.1-1m)
- up to 3.1
- BuildPreReq: java-sun-j2se1.5-sdk

* Sat Oct 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.1-3m)
- build eclipse from source

* Mon Sep 27 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.1-2m)
- added 'export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/lib"' to eclipse3.sh.in
  in order to be loaded libjavahl-1.so by subclipse plugin
  If adding /usr/lib to LD_LIBRARY_PATH is not good for security,
  we should move libjavahl-1.so* to the isolated directory.

* Sun Sep 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.1-1m)
- 
